import type { Config } from '@oclif/core/interfaces';
import { HTTP, HTTPRequestOptions } from '@heroku/http-call';
export interface IDelinquencyInfo {
    scheduled_deletion_time?: null | string;
    scheduled_suspension_time?: null | string;
}
export interface IDelinquencyConfig {
    fetch_delinquency: boolean;
    fetch_url?: string;
    resource_type?: 'account' | 'team';
    warning_shown: boolean;
}
export declare class ParticleboardClient {
    protected config: Config;
    http: typeof HTTP;
    private _auth?;
    constructor(config: Config);
    get auth(): string | undefined;
    set auth(token: string | undefined);
    get defaults(): typeof HTTP.defaults;
    get<T>(url: string, options?: HTTPRequestOptions): Promise<HTTP<T>>;
}
